blanc = Color.new(255,255,255)
bleu = Color.new(0,0,255)
blc = Color.new(255,255,255)
bl = Color.new(0,0,255)
noir = Color.new(0,0,0)

size = 200
zMax = 5
speed = 0.1
width = 480
height = 272

starfield = {}
math.randomseed(os.time())

function createStar(i)
starfield[i] = {}
starfield[i].x = math.random(2*width) - width
starfield[i].y = math.random(2*height) - height
starfield[i].z = zMax
end

for i = 1, size do
createStar(i)
starfield[i].z = math.random(zMax)
end

statut = "defaut"

while true do
screen:clear()

for i = 1, size do
starfield[i].z = starfield[i].z - speed
if starfield[i].z < speed then createStar(i) end
x = width / 2 + starfield[i].x / starfield[i].z
y = height / 2 + starfield[i].y / starfield[i].z
if x < 0 or y < 0 or x >= width or y >= height then
createStar(i)
else
screen:pixel(x,y,bleu)
end
end

artist = Mp3me.artist()
title = Mp3me.title()
album = Mp3me.album()
genre = Mp3me.genre()
temps = Mp3me.gettime()
tempstotal = Mp3me.songTime()
annee = Mp3.year()
kbit = Mp3.kbit()
mode = Mp3.mode()

screen:fillRect(40,255,400,1,bl)
screen:fillRect(40,255,Mp3me.percent()*4,1,blc)

if pad:up() then
statut = "affiche"
end

if statut == "affiche" then

screen:print(2,12,"Titre : "..artist,blanc)
screen:print(2,22,"Temps : "..temps.."/"..tempstotal,blanc)
screen:print(2,32,"Artiste : "..artist,blanc)
screen:print(2,42,"Album : "..album,blanc)
screen:print(2,52,"Genre : "..genre,blanc)
screen:print(2,62,"Annee : "..annee,blanc)
screen:print(2,72,"Kbit : "..kbit,blanc)
screen:print(2,82,"Mode : "..mode,blanc)
screen:print(42,260,"START stopper la musique et retourner aux musiques",blanc)

screen:print(310,12,"R: musique suivante",blanc)
screen:print(310,22,"L: musique precedente",blanc)
screen:print(310,32,"X: changer de couleur ",blanc)
screen:print(310,42,"O: changer de couleur ",blanc)
screen:print(310,52,"<--> changer de visu ",blanc)
screen:print(310,62,"[] pour mettre pause",blanc)

screen:fillRect(340,72,100,10,bl)
screen:fillRect(340,72,Mp3me.percent(),10,blc)
decompte = Mp3me.percent()
screen:print(384,74,decompte.."%",noir)

end

if pad:down() then
statut = "defaut"
end

pad = Controls.read()

if pad:r() and not oldpad:r() then
if fbrowser.s < (fbrowser.nf + 1) then
i = fbrowser.s + 1
if i < (fbrowser.nf + 1) then
if string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".mp3" or
string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".MP3" then
fbrowser.s = fbrowser.s + 1
Mp3me.stop()
screen:clear()
Mp3me.load(fbrowser.fl[fbrowser.s].name)
Mp3me.play()
end
end
end
end

if pad:l() and not oldpad:l() then
if fbrowser.s < (fbrowser.nf + 1) and fbrowser.s > 2 then
i = fbrowser.s - 1
if i < (fbrowser.nf + 1) and i > 2 then
if string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".mp3" or
string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".MP3" then
Mp3me.stop()
screen:clear()
fbrowser.s = fbrowser.s - 1
Mp3me.load(fbrowser.fl[fbrowser.s].name)
Mp3me.play()
end
end
end
end

if pad:square() and not oldpad:square() then
Mp3me.pause()
end

if pad:cross() then
bleu = Color.new(255,255,255)
end

if pad:circle() then
bleu = Color.new(0,0,255)
end

if pad:left() then
screen.waitVblankStart(50)
dofile("ms0:/PSP/GAME/TLAFTMP3/flocon.lua")
end

if pad:right() then
screen.waitVblankStart(50)
dofile("ms0:/PSP/GAME/TLAFTMP3/ball.lua")
end

if pad:start() then break end

screen.waitVblankStart()
screen.flip()
oldpad = pad
end